## org.eclipse.emf.cdo.util
Class CDOURIUtil

    java.lang.Object
      org.eclipse.emf.cdo.util.CDOURIUtil

    public class CDOURIUtil

extends java.lang.Object

Since:
  2.0

Field Summary
`static java.lang.String` `SEGMENT_SEPARATOR`
`static char` `SEGMENT_SEPARATOR_CHAR`

Constructor Summary
`CDOURIUtil()`

Method Summary
`static java.util.List<java.lang.String>` `analyzePath(java.lang.String path)`
`static java.util.List<java.lang.String>` `analyzePath(org.eclipse.emf.common.util.URI uri)`
`static CDOID` `convertExternalCDOID(org.eclipse.emf.common.util.URI baseURI, CDOID newCDOID)` Converting temporary CDOID to External CDOID e.g.: baseURI = cdo://2a57dfcf-8f97-4d39-8e17-9d99ae5c4b3c/resB#5/2 newCDOID = OID2 return = cdo://2a57dfcf-8f97-4d39-8e17-9d99ae5c4b3c/resB#1/2
`static org.eclipse.emf.common.util.URI` `createResourceURI(CDOSession session, java.lang.String path)`
`static org.eclipse.emf.common.util.URI` `createResourceURI(CDOView view, java.lang.String path)`
`static org.eclipse.emf.common.util.URI` `createResourceURI(java.lang.String repositoryUUID, java.lang.String path)` cdo://repositoryUUID/path The path is added at the end of "cdo://repositoryUUID".
`static java.lang.String` `extractRepositoryUUID(org.eclipse.emf.common.util.URI uri)`
`static java.lang.String[]` `extractResourceFolderAndName(org.eclipse.emf.common.util.URI uri)`
`static java.lang.String` `extractResourcePath(org.eclipse.emf.common.util.URI uri)`
`static void` `validateURI(org.eclipse.emf.common.util.URI uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SEGMENT_SEPARATOR_CHAR

    public static final char SEGMENT_SEPARATOR_CHAR

See Also:
  Constant Field Values

### SEGMENT_SEPARATOR

    public static final java.lang.String SEGMENT_SEPARATOR

Constructor Detail

### CDOURIUtil

    public CDOURIUtil()

Method Detail

### validateURI

    public static void validateURI(org.eclipse.emf.common.util.URI uri)
                            throws InvalidURIException

  Throws:
    `InvalidURIException`

### extractRepositoryUUID

    public static java.lang.String extractRepositoryUUID(org.eclipse.emf.common.util.URI uri)

### extractResourceFolderAndName

    public static java.lang.String[] extractResourceFolderAndName(org.eclipse.emf.common.util.URI uri)
                                                           throws InvalidURIException

  Throws:
    `InvalidURIException`

### extractResourcePath

    public static java.lang.String extractResourcePath(org.eclipse.emf.common.util.URI uri)
                                                throws InvalidURIException

  Throws:
    `InvalidURIException`

### createResourceURI

    public static org.eclipse.emf.common.util.URI createResourceURI(java.lang.String repositoryUUID,
                                                                    java.lang.String path)

  cdo://repositoryUUID/path

  The path is added at the end of "cdo://repositoryUUID". If path doesn't start with '/', it will be added automatically.
  e.g.: /resA or resA will give the same result -> cdo://repositoryUUID/resA
  authority = repositoryUUID
  path = /resA

### createResourceURI

    public static org.eclipse.emf.common.util.URI createResourceURI(CDOView view,
                                                                    java.lang.String path)

### createResourceURI

    public static org.eclipse.emf.common.util.URI createResourceURI(CDOSession session,
                                                                    java.lang.String path)

### convertExternalCDOID

    public static CDOID convertExternalCDOID(org.eclipse.emf.common.util.URI baseURI,
                                             CDOID newCDOID)

  Converting temporary CDOID to External CDOID
  e.g.:
  baseURI = cdo://2a57dfcf-8f97-4d39-8e17-9d99ae5c4b3c/resB#5/2
  newCDOID = OID2
  return = cdo://2a57dfcf-8f97-4d39-8e17-9d99ae5c4b3c/resB#1/2

### analyzePath

    public static java.util.List<java.lang.String> analyzePath(org.eclipse.emf.common.util.URI uri)

### analyzePath

    public static java.util.List<java.lang.String> analyzePath(java.lang.String path)

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.